// YtvAlarm.h : main header file for the YTVALARM application
//

#if !defined(AFX_YTVALARM_H__9A57896E_8EA5_497E_A08A_374A29DE0028__INCLUDED_)
#define AFX_YTVALARM_H__9A57896E_8EA5_497E_A08A_374A29DE0028__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CYtvAlarmApp:
// See YtvAlarm.cpp for the implementation of this class
//
extern "C" HWND YtvMakeAlarmDialT(BOOL bModeless, HWND hWReceiver,char* szCaption=NULL, HWND hParWnd=NULL,char* strRegPath=NULL,BOOL m_bYtvInheriteClockSettings=TRUE,BOOL bInheriteWindowPosition=FALSE,int leftpos=-1,int toppos=0,int width=0,int height=0);
class CYtvAlarmApp : public CWinApp
{
public:
	CYtvAlarmApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CYtvAlarmApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	COleTemplateServer m_server;
		// Server object for document creation
	//{{AFX_MSG(CYtvAlarmApp)
	afx_msg void OnAppAbout();
	afx_msg void OnUpdateFileOpenImportApplReg(CCmdUI* pCmdUI);
	afx_msg void OnFileOpenImportApplReg();
	afx_msg void OnUpdateFileCloseExportApplReg(CCmdUI* pCmdUI);
	afx_msg void OnFileCloseExportApplReg();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_YTVALARM_H__9A57896E_8EA5_497E_A08A_374A29DE0028__INCLUDED_)
